<html>
      <head>
        <meta charset="UTF-8">
        <title>README.md</title>
      </head>
      <body>
        <p align="center">
  <a href="https://getbootstrap.com/">
    <img src="https://getbootstrap.com/assets/brand/bootstrap-solid.svg" alt="" width=72 height=72>
  </a>

  <h3 align="center">Bootstrap</h3>

  <p align="center">
    Sleek, intuitive, and powerful front-end framework for faster and easier web development.
    <br>
    <a href="https://getbootstrap.com/docs/4.0/"><strong>Explore Bootstrap docs »</strong></a>
    <br>
    <br>
    <a href="https://themes.getbootstrap.com/">Bootstrap Themes</a>
    ·
    <a href="https://jobs.getbootstrap.com/">Job Board</a>
    ·
    <a href="https://blog.getbootstrap.com/">Blog</a>
  </p>
</p>

<p><br></p>
<h2 id="table-of-contents">Table of contents</h2>
<ul>
<li><a href="#quick-start">Quick start</a></li>
<li><a href="#status">Status</a></li>
<li><a href="#whats-included">What&#39;s included</a></li>
<li><a href="#bugs-and-feature-requests">Bugs and feature requests</a></li>
<li><a href="#documentation">Documentation</a></li>
<li><a href="#contributing">Contributing</a></li>
<li><a href="#community">Community</a></li>
<li><a href="#versioning">Versioning</a></li>
<li><a href="#creators">Creators</a></li>
<li><a href="#copyright-and-license">Copyright and license</a></li>
</ul>
<h2 id="quick-start">Quick start</h2>
<p>Several quick start options are available:</p>
<ul>
<li><a href="https://github.com/twbs/bootstrap/archive/v4.0.0-beta.2.zip">Download the latest release.</a></li>
<li>Clone the repo: <code>git clone https://github.com/twbs/bootstrap.git</code></li>
<li>Install with <a href="https://www.npmjs.com/">npm</a>: <code>npm install bootstrap@4.0.0-beta.2</code></li>
<li>Install with <a href="https://yarnpkg.com/">yarn</a>: <code>yarn add bootstrap@4.0.0-beta.2</code></li>
<li>Install with <a href="https://getcomposer.org/">Composer</a>: <code>composer require twbs/bootstrap:4.0.0-beta.2</code></li>
<li>Install with <a href="https://www.nuget.org/">NuGet</a>: CSS: <code>Install-Package bootstrap -Pre</code> Sass: <code>Install-Package bootstrap.sass -Pre</code> (<code>-Pre</code> is only required until Bootstrap v4 has a stable release).</li>
</ul>
<p>Read the <a href="https://getbootstrap.com/getting-started/">Getting started page</a> for information on the framework contents, templates and examples, and more.</p>
<h2 id="status">Status</h2>
<p><a href="https://bootstrap-slack.herokuapp.com/"><img src="https://bootstrap-slack.herokuapp.com/badge.svg" alt="Slack"></a>
<a href="https://travis-ci.org/twbs/bootstrap"><img src="https://img.shields.io/travis/twbs/bootstrap/v4-dev.svg" alt="Build Status"></a>
<a href="https://www.npmjs.com/package/bootstrap"><img src="https://img.shields.io/npm/v/bootstrap.svg" alt="npm version"></a>
<a href="https://rubygems.org/gems/bootstrap"><img src="https://img.shields.io/gem/v/bootstrap.svg" alt="Gem version"></a>
<a href="https://atmospherejs.com/twbs/bootstrap"><img src="https://img.shields.io/badge/meteor-twbs%3Abootstrap-blue.svg" alt="Meteor Atmosphere"></a>
<a href="https://packagist.org/packages/twbs/bootstrap"><img src="https://img.shields.io/packagist/vpre/twbs/bootstrap.svg" alt="Packagist Prerelease"></a>
<a href="https://www.nuget.org/packages/bootstrap/absoluteLatest"><img src="https://img.shields.io/nuget/vpre/bootstrap.svg" alt="NuGet"></a>
<a href="https://david-dm.org/twbs/bootstrap?type=peer"><img src="https://img.shields.io/david/peer/twbs/bootstrap.svg" alt="peerDependencies Status"></a>
<a href="https://david-dm.org/twbs/bootstrap?type=dev"><img src="https://img.shields.io/david/dev/twbs/bootstrap.svg" alt="devDependency Status"></a>
<a href="https://github.com/twbs/bootstrap/tree/v4-dev/dist/css/bootstrap.min.css"><img src="http://img.badgesize.io/twbs/bootstrap/v4-dev/dist/css/bootstrap.min.css?compression=gzip&amp;label=CSS+gzip+size" alt="CSS gzip size"></a>
<a href="https://github.com/twbs/bootstrap/tree/v4-dev/dist/js/bootstrap.min.js"><img src="http://img.badgesize.io/twbs/bootstrap/v4-dev/dist/js/bootstrap.min.js?compression=gzip&amp;label=JS+gzip+size" alt="JS gzip size"></a></p>
<p><a href="https://saucelabs.com/u/bootstrap"><img src="https://saucelabs.com/browser-matrix/bootstrap.svg" alt="Sauce Labs Test Status"></a></p>
<h2 id="what-s-included">What&#39;s included</h2>
<p>Within the download you&#39;ll find the following directories and files, logically grouping common assets and providing both compiled and minified variations. You&#39;ll see something like this:</p>
<pre><code>bootstrap/
├── css/
│   ├── bootstrap.css
│   ├── bootstrap.css.map
│   ├── bootstrap.min.css
│   ├── bootstrap.min.css.map
│   ├── bootstrap-grid.css
│   ├── bootstrap-grid.css.map
│   ├── bootstrap-grid.min.css
│   ├── bootstrap-grid.min.css.map
│   ├── bootstrap-reboot.css
│   ├── bootstrap-reboot.css.map
│   ├── bootstrap-reboot.min.css
│   └── bootstrap-reboot.min.css.map
└── js/
    ├── bootstrap.bundle.js
    ├── bootstrap.bundle.min.js
    ├── bootstrap.js
    └── bootstrap.min.js
</code></pre><p>We provide compiled CSS and JS (<code>bootstrap.*</code>), as well as compiled and minified CSS and JS (<code>bootstrap.min.*</code>). CSS <a href="https://developers.google.com/web/tools/chrome-devtools/debug/readability/source-maps">source maps</a> (<code>bootstrap.*.map</code>) are available for use with certain browsers&#39; developer tools.</p>
<h2 id="bugs-and-feature-requests">Bugs and feature requests</h2>
<p>Have a bug or a feature request? Please first read the <a href="https://github.com/twbs/bootstrap/blob/master/CONTRIBUTING.md#using-the-issue-tracker">issue guidelines</a> and search for existing and closed issues. If your problem or idea is not addressed yet, <a href="https://github.com/twbs/bootstrap/issues/new">please open a new issue</a>.</p>
<h2 id="documentation">Documentation</h2>
<p>Bootstrap&#39;s documentation, included in this repo in the root directory, is built with <a href="https://jekyllrb.com/">Jekyll</a> and publicly hosted on GitHub Pages at <a href="https://getbootstrap.com/">https://getbootstrap.com/</a>. The docs may also be run locally.</p>
<p>Documentation search is powered by <a href="https://community.algolia.com/docsearch/">Algolia&#39;s DocSearch</a>. Working on our search? Be sure to set <code>debug: true</code> in the <code>_scripts.html</code> include.</p>
<h3 id="running-documentation-locally">Running documentation locally</h3>
<ol>
<li>Run through the <a href="https://getbootstrap.com/docs/4.0/getting-started/build-tools/#tooling-setup">tooling setup</a> to install Jekyll (the site builder) and other Ruby dependencies with <code>bundle install</code>.</li>
<li>Run <code>npm install</code> to install Node.js dependencies.</li>
<li>Run <code>npm run test</code> (or a specific NPM script) to rebuild distributed CSS and JavaScript files, as well as our docs assets.</li>
<li>From the root <code>/bootstrap</code> directory, run <code>npm run docs-serve</code> in the command line.</li>
<li>Open <code>http://localhost:9001</code> in your browser, and voilà.</li>
</ol>
<p>Learn more about using Jekyll by reading its <a href="https://jekyllrb.com/docs/home/">documentation</a>.</p>
<h3 id="documentation-for-previous-releases">Documentation for previous releases</h3>
<ul>
<li>For v2.3.2: <a href="https://getbootstrap.com/2.3.2/">https://getbootstrap.com/2.3.2/</a></li>
<li>For v3.3.x: <a href="https://getbootstrap.com/docs/3.3/">https://getbootstrap.com/docs/3.3/</a></li>
</ul>
<p><a href="https://github.com/twbs/bootstrap/releases">Previous releases</a> and their documentation are also available for download.</p>
<h2 id="contributing">Contributing</h2>
<p>Please read through our <a href="https://github.com/twbs/bootstrap/blob/master/CONTRIBUTING.md">contributing guidelines</a>. Included are directions for opening issues, coding standards, and notes on development.</p>
<p>Moreover, if your pull request contains JavaScript patches or features, you must include <a href="https://github.com/twbs/bootstrap/tree/master/js/tests">relevant unit tests</a>. All HTML and CSS should conform to the <a href="https://github.com/mdo/code-guide">Code Guide</a>, maintained by <a href="https://github.com/mdo">Mark Otto</a>.</p>
<p>Editor preferences are available in the <a href="https://github.com/twbs/bootstrap/blob/master/.editorconfig">editor config</a> for easy use in common text editors. Read more and download plugins at <a href="http://editorconfig.org/">http://editorconfig.org/</a>.</p>
<h2 id="community">Community</h2>
<p>Get updates on Bootstrap&#39;s development and chat with the project maintainers and community members.</p>
<ul>
<li>Follow <a href="https://twitter.com/getbootstrap">@getbootstrap on Twitter</a>.</li>
<li>Read and subscribe to <a href="https://blog.getbootstrap.com/">The Official Bootstrap Blog</a>.</li>
<li>Join <a href="https://bootstrap-slack.herokuapp.com/">the official Slack room</a>.</li>
<li>Chat with fellow Bootstrappers in IRC. On the <code>irc.freenode.net</code> server, in the <code>##bootstrap</code> channel.</li>
<li>Implementation help may be found at Stack Overflow (tagged <a href="https://stackoverflow.com/questions/tagged/bootstrap-4"><code>bootstrap-4</code></a>).</li>
<li>Developers should use the keyword <code>bootstrap</code> on packages which modify or add to the functionality of Bootstrap when distributing through <a href="https://www.npmjs.com/browse/keyword/bootstrap">npm</a> or similar delivery mechanisms for maximum discoverability.</li>
</ul>
<h2 id="versioning">Versioning</h2>
<p>For transparency into our release cycle and in striving to maintain backward compatibility, Bootstrap is maintained under <a href="http://semver.org/">the Semantic Versioning guidelines</a>. Sometimes we screw up, but we&#39;ll adhere to those rules whenever possible.</p>
<p>See <a href="https://github.com/twbs/bootstrap/releases">the Releases section of our GitHub project</a> for changelogs for each release version of Bootstrap. Release announcement posts on <a href="https://blog.getbootstrap.com/">the official Bootstrap blog</a> contain summaries of the most noteworthy changes made in each release.</p>
<h2 id="creators">Creators</h2>
<p><strong>Mark Otto</strong></p>
<ul>
<li><a href="https://twitter.com/mdo">https://twitter.com/mdo</a></li>
<li><a href="https://github.com/mdo">https://github.com/mdo</a></li>
</ul>
<p><strong>Jacob Thornton</strong></p>
<ul>
<li><a href="https://twitter.com/fat">https://twitter.com/fat</a></li>
<li><a href="https://github.com/fat">https://github.com/fat</a></li>
</ul>
<h2 id="copyright-and-license">Copyright and license</h2>
<p>Code and documentation copyright 2011-2017 the <a href="https://github.com/twbs/bootstrap/graphs/contributors">Bootstrap Authors</a> and <a href="https://twitter.com">Twitter, Inc.</a> Code released under the <a href="https://github.com/twbs/bootstrap/blob/master/LICENSE">MIT License</a>. Docs released under <a href="https://github.com/twbs/bootstrap/blob/master/docs/LICENSE">Creative Commons</a>.</p>

      </body>
    </html>